Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 4227

Summary: Can't set shell for NIS users.
Product: [Retired] Red Hat Linux Reporter: brandon.darbro
Component: ypbindAssignee: Cristian Gafton <gafton>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 6.0CC: brandon.darbro, lamont
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-04 02:37:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description brandon.darbro 1999-07-27 19:09:47 UTC
Cant change users default shell from the NIS passwd map
with an entry like these in the passwd file:

+::::::/bin/bash
or
+username::::::/bin/bash

Instead the users are still starting with the ksh shell as
set in the NIS map.  This a problem with PAM configuration
or a bug with YP/NIS?  (This works on our HP-UX boxes, btw)

*Brandon Darbro
brandon.darbro@pss.boeing.com

Comment 1 lamont 1999-10-29 00:56:59 UTC
This may be related to the problem that I've observed where if the NIS
server goes down, even users in /etc/passwd (i.e. root) cannot login
to the box.  And the root user is not even in the NIS passwd map.

Lamont Granquist
lamont@icopyright.com

Comment 2 Cristian Gafton 2000-02-04 02:37:59 UTC
you need to be using the compat mode in /etc/nsswitch.conf